/*
Theme Name: Sparkling Child
Theme URI: http://colorlib.com/wp/themes/sparkling-child
Author: Colorlib
Author URI: http://colorlib.com/
Template: sparkling
Description: Sparkling Child theme
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: sparkling-child
Domain Path: /languages/
Tags: green, light, white, gray, black, one-column, two-columns, right-sidebar, fluid-layout, responsive-layout, photoblogging, left-sidebar, translation-ready, custom-background, custom-colors, custom-menu, featured-images, full-width-template, post-formats, theme-options, threaded-comments
*/

/*Simon's CSS updates */
/*div.woocommerce-tabs.wc-tabs-wrapper{visibility:hidden !important;heigkt:0px;}*/

li.product{border:1px solid lightgrey;padding:5px !important;text-align:center}
.navbar-default .navbar-nav > li > a {font-size: 16px;}
.navbar-default .navbar-nav > li > a:hover{color:#dcdee1;}
xx.navbar-default .navbar-nav > li > a:focus{color:#dcdee1 !important;}

/*quiz buttons for contact page */
.quiz{margin:5px !important;}

/*reduce logo size on mobile */
@media (max-width: 576px) {
    div #logo a img {width:200px;}}
@media (max-width: 776px) {
    div #logo {display:inline-block;}}

/*slimmer side padding for product page*/
.woocommerce .main-content-inner {padding: 35px 20px;}

/* footer widget padding especially for mobile*/
div.widget.widget_text{margin-bottom: 20px !important;}  

/*reducing the space taken up by the manu when the viewport gets smaller to avoid menu wrapping*/
@media (min-width: 767px) and (max-width: 992px)  {
    li.menu-item {padding-right:1px !important;padding-left:10px !important;}
  .navbar-default .navbar-nav > li > a {font-size: 14px !important;}
}

/* price styling */
.woocommerce ul.products li.product .price{color:#0275d8;font-size:16px;font-weight:600;}

/* correcting layout of the accept terms area including checkbox */
#terms{display:inline !important;margin:2px 2px 2px 0;}
span.woocommerce-terms-and-conditions-checkbox-text::before{content:" "}
span.woocommerce-terms-and-conditions-checkbox-text{margin-left:20px}
span.XXwoocommerce-terms-and-conditions-checkbox-text::after{content:" and the processing and storage of my personal data necessary to process my order"}

div.copyright.col-md-6::before{content:"Site design by Simmarcom Limited. "}

.home div#vatheader{display:none;}

/* improvement to view cart function*/
/*a.added_to_cart.wc-forward{color:maroon;font-size:16px;font-weight:600;display:block;}*/
li>a.added_to_cart.wc-forward{color:white; background-color:#f0ad4e !important;font-weight:600; padding:4px 4px;margin:2px;border-radius:2px;text-transform: uppercase;}

/* home page buttons */
.btn-feature{margin:3px !important;padding:3px 10px 3px 10px !important;text-transform:none !important;}

/* hide sku on product view page */
.sku_wrapper{display:none;}


/* styles for the custom bezel request page */
.custombezelheader{text-align:center; background-color:#d9edf7;padding:10px;}
.rowspace{padding-bottom:8px;}

/* custom bezels steps*/
.stepstage{color:#0275d8;Font-size:22px;}

/* change h1 on home page only */
#main > header > h1{color:#0275d8 !important;margin-top:5px;text-align:center}


/*on sale tag */
span.onsale{font-size:14px !important;background-color:blue !important;display:none;}
span.onsale{line-height:1.5 !important;display:none;}


/*this is the part of the cart page that prompts for extra sales to get free UK shipping*/
#valueprompt{text-align:center;font-size:16px;background-color:#0275db;color:white;padding:5px;}
#valuepromptq{text-align:center;font-size:16px;background-color:#5cb85c;color:white;padding:5px;}
#valuepromptnq{text-align:center;font-size:16px;background-color:#f0ad4e;color:white;padding:5px;}



/* change style of delivery notes to make it smaller */
.order-addresses {
	margin-bottom: 1em !important;
}


/* highlight the text in our component shop */
.term-37 div.term-description{font-size:20px;color:#444444;}
div.term-description{border-bottom:1px solid #0275d3;border-top:1px solid #0275d3;padding:5px;}
div.term-description p {margin:0;}
div.term-description{margin-bottom:3px;}


/*these are the CFS banner images*/
.banner-alert{margin:2px 0 2px 0;padding:2px;text-align:center;}
.banner-h2{text-align:center;margin-top:2px;font-size:24px;font-weight:600;}
.banner-text{text-align:center;font-size:16px;margin-top:0 !important;}
.banner-img{margin:0px;text-align:center;}
.banner-wide{padding:0px !important;}

/*hide unwanted elemnnts on the product print page*/
.page-id-1670.woocommerce ul.products li.product.button{display:none !important;}
.page-id-1670 a.button.product_type_variable.add_to_cart_button{display:none !important;}
.page-id-1670 a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart{display:none !important;}
.page-id-1670 span.price{display:none !important;}
.page-id-1670 h1{display:none;}
.page-id-1670 a.button{display:none !important;}
.page-id-1670 .badge-stock{display:none !important;}
.page-id-1670 a.btn{display:none !important;}
.page-id-1670 a:after{display:none !important;} /*this suppresses the URL display for each product*/
h2.printed-document{background-color:darkblue;color:white;text-align:center;padding:5px;font-size:24px;}



span.onsale{padding:10px !important;background-color:red !important;font-size:18px !important}


/* this is the multi item discount "fee" cart item*/
tr.fee{color:red !important;font-size:20px !important;}


/*these are the various badges we display on the product*/
.badge-new{padding:2px;margin:2px;font-weight:600;font-size:14px;}
.badge-multi{padding:2px;margin:2px;background-color:red;font-weight:600;font-size:14px;}
.badge-sale{padding:2px;margin:2px;font-weight:600;background-color:red;font-size:14px;}
.badge-stock{font-weight:600;color:red;font-size:14px;}
.badge-clearance{padding:2px;margin:2px;font-weight:600;background-color:maroon;font-size:14px;border-width:0;}

.badge-single-new{font-weight:600;font-size:14px;margin:4px;pointer-events: none;}
.badge-single-multi{font-weight:600;background-color:red;font-size:14px;margin:4px;pointer-events: none;}
.badge-single-sale{font-weight:600;background-color:red;font-size:14px;margin:4px;pointer-events: none;}
.badge-single-clearance{font-weight:600;background-color:maroon;font-size:14px;margin:4px;pointer-events: none;border-width:0;}


/*this is for the single product page message*/
p.stock{font-size:16px !important;font-weight:600;}

/*footer design by link*/
a.designlink{color:#cccccc !important;}
a.designlink:hover{color:white !important;}

/* make the checkout action more obvious */
#place_order{font-size:28px;}

/* bezel suggestion form */
.formrowmargin{margin-bottom:20px;}

/*forms*/
.cform{border-color:#6b6b6b !important;}

/* move content up a bit - all pages */
.main-content-area {
    margin-top: 10px;
}

/* product purchase note on porder acknowledgement */
tr.product-purchase-note{color:maroon;font-weight:600;}


/*this is the category top page sub heading */
div.archive-description{text-align:center;color:#0275db;font-size:18px;}

/*this defines the look of the Project Gallery contributor */
.galleryhandle{color:#0275db; border-left:5px solid #0275db;border-bottom:2px solid #0275db;padding-left:5px;}
div.main-gallery-description{text-align:left;color:#0275db;font-size:18px;}
div.gallery-frame{border:1px solid gray;margin-top:5px;padding:5px;border-radius:10px;overflow: hidden;}
.galleryh2{text-align:center;color:#0275db;margin-top:10px;margin-bottom:10px;}
.galleryimage{max-height:200px;float:left;padding-right:10px;}



/* featured product banner */
.featuredbannerdiv{border:2px solid #0275d8;margin:0;padding:0;background-color:white; margin-bottom:3px;}
.featuredbannerimg{float:left;max-height:150px;padding:0px 10px 0px 0px;}
.featuredbannername{text-align:center; margin:5px;font-size:20px;font-weight:700;}
.featuredbannerlink{text-align:center;}
.featuredbannerdescription{text-align:center;padding-left:10px;}
@media screen and (max-width:600px){
.featuredbannerimg{max-height:100px;}
}


/* this makes the logo smaller only for the SM size (table view) to stop the manu bar overflowing downwards */
@media screen and (min-width:768px) and (max-width:991px){
div #logo{width:175px;}
}

